#ifndef TMHistogrammingFastorProblemEq_H
#define TMHistogrammingFastorProblemEq_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingFastorProblemEq : public TMHistogramming {
 public:
  TMHistogrammingFastorProblemEq(UInt_t eq);
  virtual ~TMHistogrammingFastorProblemEq();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void ResetHitChip();

 protected:
  UInt_t  fEq;
  Bool_t  fHitChip[6][10];
  TH1F    *fTheHisto;

};

#endif
